Project

General

Profile

Bug #6438

rpmPackageInstallation doesn't report anything if the package we want to install has a version lower than the one we have

Added by Nicolas CHARLES about 6 years ago. Updated over 5 years ago.

Status:
Rejected
Priority:
2
Assignee:
-
Category:
Techniques
Target version:
Pull Request:
Severity:
User visibility:
Effort required:
Priority:

Description

If I want to install package kernel-default in 3.0.101-0.31, but I already have 3.0.101-0.35, the agent will simply don't report anything
It reports:

CompareVersions: Checked whether package version xxx < yyyy: no
Installed package is up to date, not updating

no classes is defined in this case :/


Related issues

Is duplicate of Rudder - Bug #6996: If we ask to install a package in a version at least equal to another, we get no report if the version installed is > than the one requestedReleasedNicolas CHARLES2015-07-16Actions
#1

Updated by Vincent MEMBRÉ about 6 years ago

  • Target version changed from 2.10.13 to 2.10.14
#2

Updated by Vincent MEMBRÉ almost 6 years ago

  • Target version changed from 2.10.14 to 2.10.15
#3

Updated by Vincent MEMBRÉ almost 6 years ago

  • Target version changed from 2.10.15 to 2.10.16
#4

Updated by Vincent MEMBRÉ over 5 years ago

  • Target version changed from 2.10.16 to 2.10.17
#5

Updated by Vincent MEMBRÉ over 5 years ago

  • Target version changed from 2.10.17 to 2.10.18
#6

Updated by Vincent MEMBRÉ over 5 years ago

  • Target version changed from 2.10.18 to 2.10.19
#7

Updated by Alexis MOUSSET over 5 years ago

  • Is duplicate of Bug #6996: If we ask to install a package in a version at least equal to another, we get no report if the version installed is > than the one requested added
#8

Updated by Alexis MOUSSET over 5 years ago

  • Status changed from New to Rejected

Also available in: Atom PDF